package com.lz.modules.sys.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.sys.dao.PrintMapper;
import com.lz.modules.sys.entity.Print;
import com.lz.modules.sys.service.PrintService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class PrintServiceImpl extends ServiceImpl<PrintMapper, Print> implements PrintService {


    @Autowired
	private PrintMapper printMapper;



	@Override
	public Print selectPrintById(Long id){
		return printMapper.selectPrintById(id);
	}



	@Override
	public Long insertPrint(Print print){
		return printMapper.insertPrint(print);
	}



	@Override
	public int updatePrintById(Print print){
		return printMapper.updatePrintById(print);
	}



	@Override
	public int updateCoverPrintById(Print print){
		return printMapper.updateCoverPrintById(print);
	}



	@Override
	public int deletePrintById(Long id){
		return printMapper.deletePrintById(id);
	}



}
